/*
 * Creado por @Jose Alvarado para MultiFiber.cl
 * Documentación: https://nuevooptic.atlassian.net/wiki/spaces/PROG/pages/179798102/Tooltip+MultiFiber
 * ------------------------------------------------------------
 *
*/

/* START TOOLTIP */
.mf-tooltip {
    --background: rgba(0,0,0,0.7);
    --arrow-size: 10px;
    --image-width: 600px;
    --max-width: 200px;
    --font-size: .7rem;
    --text-color: white;
    --link-color: #16aaff;

    position: relative;
}
.mf-tooltip.image .mf-tooltip__container {
    width: var(--image-width);
}
.mf-tooltip.image .mf-tooltip__content {
    max-width: var(--image-width);
}
.mf-tooltip:hover .mf-tooltip__container {
    display: block;
}
.mf-tooltip .mf-tooltip__container {
    display: none;
    position: absolute;
    left: 1.5rem;
    top: -3px;
    width: 400px;
    z-index: 100;
}
.mf-tooltip  .mf-tooltip__content {
    position: relative;
    padding: .4rem .6rem .4rem .4rem;
    display: inline-block;
    border-radius: .25rem;
    color: var(--text-color);
    font-size: var(--font-size);
    max-width: var(--max-width);
    background-color: var(--background);
    box-sizing: content-box;
}
/*.mf-tooltip .mf-tooltip__content img {
    width: 100%;
}*/
.mf-tooltip .mf-tooltip__content::before {
    position: absolute;
    left: -10px;
    top: 3px;
    content: "";
    width: 0;
    height: 0;
    border-right: var(--arrow-size) solid var(--background);
    border-top: var(--arrow-size) solid transparent;
    border-bottom: var(--arrow-size) solid transparent;
}
.mf-tooltip .mf-tooltip__content a {
    color: var(--link-color);
    text-decoration: none;
}
/* ENDS TOOLTIP */